[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Pol_constBfield` Component

Constant magnetic field.

## Identification

- Author: Peter Christiansen
- Origin: RISOE
- Date: July 2006
- Version: 1.2

## Description

    Rectangular box with constant B field along y-axis (up). The
    component can be rotated to make either a guide field or a spin
    flipper. A neutron hitting outside the box opening or the box sides
    is absorbed.

    Example: Pol_constBfield(xw=0.1, yh=0.1, length=0.2, fliplambda=5.0)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xw | - | Width of opening (m). |
yh | - | Height of opening (m). |
length | - | Length of field (m). |
B | Gauss | Magnetic field along y-direction | 0
fliplambda | - | Lambda for calculating B field | 0
flipangle | - | Angle flipped for lambda = fliplambda fliplambda and flipangle overrides B so a neutron with s = (1, 0, 0) and v = (0, 0, v(fliplambda)) will have s = (cos(flipangle), sin(flipangle), 0) after the section. | 180

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
omegaL |  |  |

## Links

- Source code for `Pol_constBfield.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]